/*
  Демонстрируется LCD
  
  CodeVisionAVR C Compiler
  (C) 2000-2002 HP InfoTech S.R.L.
  www.hpinfotech.ro
  
  Чип: AT90S8515
  Модель Памяти: SMALL
  Размер Стека Данных: 128 байт
  
  Используется алфавитно-цифровой LCD 2x16, подключенный
  к разъему PORTC STK500 следующим образом:
  [LCD]    [РАЗЪЕМ PORTC STK500]
   1 GND - 9 GND
   2 +5V - 10 VCC
   3 VLC - управление контрастностью LCD напряжение 0..1V
   4 RS  - 1 PC0
   5 RD  - 2 PC1
   6 EN  - 3 PC2
   11 D4 - 5 PC4
   12 D5 - 6 PC5
   13 D6 - 7 PC6
   14 D7 - 8 PC7
*/

// LCD подключен к выходам PORTC
// смотрите файл lcd.h в поддиректории ..\inc
#asm
  .equ __lcd_port=0x15 ;PORTC
#endasm

// подключим программы управления LCD
#include <lcd.h>

void main(void)
{
  // инициализируем LCD для
  // 2 строк и 16 столбцов
  lcd_init(16);
  
  // перейдем на вторую строку LCD
  lcd_gotoxy(0,1);
  
  // отобразим сообщение
  lcd_putsf("Hello world");
  
  // здесь остановка
  while (1);
}
